Subject: [bug#54829] [PATCH 0/2] Update Emacs to 28.1 and add socket activation

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 28 Apr 2022 17:31:06 +0200

Am Donnerstag, dem 28.04.2022 um 17:06 +0200 schrieb Maxime Devos:
> Ludovic Courtès schreef op do 28-04-2022 om 14:15 [+0200]:
> > > +          (add-after 'unpack 'enable-elogind
> > > +            (lambda _
> > > +              (substitute* "configure.ac"
> > > +                (("libsystemd") "libelogind"))
> > 
> > I suggest making that substitution in ‘configure’…
> > 
> > >       (native-inputs
> > > -     (list pkg-config texinfo))
> > > +     (list autoconf pkg-config texinfo))
> > 
> > … so you don’t need this extra dependency.
> 
> I thought the idea was to, long term, build 'configure' from source
> (except for packages low on the graph where there would be bootstrap
> problems)?
> 
> https://lists.gnu.org/archive/html/guix-devel/2022-04/msg00065.html
To add to this, configure doesn't exist in emacs-next variants, so I
find it better to just wrap the existing code in a (when (file-exists?
...) ...) rather than boot from blessed blobs in this particular
instance.

Cheers